upgradingto 3.3.1

Get help with installation and running phpBB 3.3.x here. Please do not post bug reports, feature requests, or extension related questions here.
Post Reply
southcot
Registered User
Posts: 1
Joined: Sun Aug 23, 2020 12:59 pm

upgradingto 3.3.1

Post by southcot »

I've copied over the install and vendor files as per the instructions and I getting an error in /install/app.php:-

Uncaught Error:
Call to a member function get() on null in /xxxxxxxxxxxxx/public_html/SubDomains/forum/includes/compatibility_globals.php:22 Stack trace:
#0 /xxxxxxxxxxxxx/public_html/SubDomains/forum/install/startup.php(31):
require()
#1 /xxxxxxxxxxxxx/public_html/SubDomains/forum/install/startup.php(229):
phpbb_require_updated('includes/compat...', '../')
#2 /xxxxxxxxxxxxx/public_html/SubDomains/forum/install/app.php(34):
require('/xxxxxxxxxxxxx...')
#3 {main} thrown in /xxxxxxxxxxxxx/public_html/SubDomains/forum/includes/compatibility_globals.php on line 22

Can anyone offer any insight as to how to solve this?
User avatar
P_I
Registered User
Posts: 1245
Joined: Tue Mar 01, 2011 8:35 pm
Location: Staying home - Calgary
Contact:

Re: upgradingto 3.3.1

Post by P_I »

Welcome to the phpBB community.

It would probably help us help you if you ran the Support Request Template Generator which will will ask you a series of eight to ten questions that are useful for diagnosing most issues. It will then compile your answers into a list that may be copied and pasted back here into your support topic.
Normal people… believe that if it ain’t broke, don’t fix it. Engineers believe that if it ain’t broke, it doesn’t have enough features yet. – Scott Adams
User avatar
Scanialady
Registered User
Posts: 353
Joined: Thu Jan 17, 2013 7:09 pm
Location: Germany
Name: Annette
Contact:

Re: upgradingto 3.3.1

Post by Scanialady »

southcot wrote:
Sun Aug 23, 2020 1:10 pm
I've copied over the install and vendor files as per the instructions...
Did you delete the specified folders before as indicated in the instructions?
Did you deactivate the installed extensions and styles as indicated in the instructions?
Webseite, Blog, Wiki Deutsche Übersetzungen - german language files
My 2 cents: Whether an extension is in the CDB says nothing about its quality. It is more important to read the support topics for it. Better to avoid authors who do not answer support questions themselves, who do not update their stuff, and who do not fix bugs for years.
User avatar
P_I
Registered User
Posts: 1245
Joined: Tue Mar 01, 2011 8:35 pm
Location: Staying home - Calgary
Contact:

Re: upgradingto 3.3.1

Post by P_I »

southcot wrote:
Sun Aug 23, 2020 1:10 pm
I've copied over the install and vendor files as per the instructions and I getting an error in /install/app.php:-
What version were you previously running? What instructions did you follow?

What version of PHP are you running on your server?
P_I wrote:
Sun Aug 23, 2020 1:52 pm
It would probably help us help you if you ran the Support Request Template Generator which will will ask you a series of eight to ten questions that are useful for diagnosing most issues. It will then compile your answers into a list that may be copied and pasted back here into your support topic.
Normal people… believe that if it ain’t broke, don’t fix it. Engineers believe that if it ain’t broke, it doesn’t have enough features yet. – Scott Adams
Post Reply

Return to “[3.3.x] Support Forum”